<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/view"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/loadingLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:visibility="gone">

            <ProgressBar
                android:layout_width="wrap_content"
                android:indeterminateTint="@color/green"
                android:progressBackgroundTint="@color/green"
                android:progressTint="@color/green"
                android:layout_height="wrap_content" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/no_content_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:id="@+id/no_content_iv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/no_content_img" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="32dp"
                android:layout_marginEnd="32dp"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:text="@string/content_loading_failed"
                android:textSize="14dp" />

            <TextView
                android:id="@+id/tryAgainBtn"
                android:layout_width="wrap_content"
                android:layout_height="48dp"
                android:layout_marginTop="16dp"
                android:background="@drawable/drw_btn_bg"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:paddingStart="32dp"
                android:paddingEnd="32dp"
                android:text="@string/try_again"
                android:textColor="@color/black"
                android:textSize="16dp" />
        </LinearLayout>

        <androidx.core.widget.NestedScrollView
            android:id="@+id/sv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="-2dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="50dp"
                        android:fontFamily="@font/medium_font"
                        android:gravity="center"
                        android:text="@string/app_name"
                        android:textColor="@color/white"
                        android:textSize="20dp" />


                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:orientation="vertical" />

            </LinearLayout>

        </androidx.core.widget.NestedScrollView>

    </LinearLayout>

</RelativeLayout>